#include <iostream>
#include<stdlib.h>
using namespace std;

int main()
{
    int n,x,a[10000],i,br;
    cin>>n>>x;
    for(i=1;i<=n;i++) cin>>a[i];
    int maxa=a[1];
    for(i=2;i<=n;i++)
    {
        if(a[i]>maxa) maxa=a[i];
    }
    int mini=a[1];
    for(i=2;i<=n;i++)
    {
        if(a[i]<mini) mini=a[i];
    }
    if(x<mini) br=abs(maxa-x);
    else if(x>maxa) br=abs(mini-x);
    else
        {
            if(abs(maxa-x)>abs(mini-x)) br=abs(mini-x)+abs(maxa-mini);
            else br=abs(maxa-x)+abs(mini-maxa);
        }
    cout<<br<<endl;
    return 0;
}